Index: HelenOS.config
===================================================================
--- HelenOS.config	(revision 949869d2e42c585807fd47d9e647bc004522407f)
+++ HelenOS.config	(revision 5d9e36b27b4f5ff893f1f9703675b6781e2cf98e)
@@ -86,15 +86,15 @@
 ! [PLATFORM=sparc64&MACHINE=generic] PROCESSOR (choice)
 
-% CPU type
+% CPU arch
 @ "armv4" ARMv4
-! [PLATFORM=arm32&(MACHINE=gta02)] PROCESSOR (choice)
+! [PLATFORM=arm32&(MACHINE=gta02)] PROCESSOR_ARCH (choice)
 
 % CPU type
 @ "armv5" ARMv5
-! [PLATFORM=arm32&MACHINE=integratorcp] PROCESSOR (choice)
+! [PLATFORM=arm32&MACHINE=integratorcp] PROCESSOR_ARCH (choice)
 
 % CPU type
 @ "armv7_a" ARMv7-A
-! [PLATFORM=arm32&MACHINE=beagleboardxm] PROCESSOR (choice)
+! [PLATFORM=arm32&MACHINE=beagleboardxm] PROCESSOR_ARCH (choice)
 
 % RAM disk format
@@ -348,5 +348,5 @@
 ## armv7 made fpu hardware compulsory
 % FPU support
-! [PLATFORM=arm32&PROCESSOR=armv7_a] CONFIG_FPU (y)
+! [PLATFORM=arm32&PROCESSOR_ARCH=armv7_a] CONFIG_FPU (y)
 
 % FPU support
Index: boot/arch/arm32/Makefile.inc
===================================================================
--- boot/arch/arm32/Makefile.inc	(revision 949869d2e42c585807fd47d9e647bc004522407f)
+++ boot/arch/arm32/Makefile.inc	(revision 5d9e36b27b4f5ff893f1f9703675b6781e2cf98e)
@@ -49,5 +49,5 @@
 BITS = 32
 ENDIANESS = LE
-EXTRA_CFLAGS = -march=$(subst _,-,$(PROCESSOR)) -mno-unaligned-access
+EXTRA_CFLAGS = -march=$(subst _,-,$(PROCESSOR_ARCH)) -mno-unaligned-access
 
 ifeq ($(MACHINE), gta02)
Index: boot/arch/arm32/src/mm.c
===================================================================
--- boot/arch/arm32/src/mm.c	(revision 949869d2e42c585807fd47d9e647bc004522407f)
+++ boot/arch/arm32/src/mm.c	(revision 5d9e36b27b4f5ff893f1f9703675b6781e2cf98e)
@@ -107,5 +107,5 @@
 		"mcr p15, 0, r0, c3, c0, 0\n"
 		
-#ifdef PROCESSOR_armv7_a
+#ifdef PROCESSOR_ARCH_armv7_a
 		/* Read Auxiliary control register */
 		"mrc p15, 0, r0, c1, c0, 1\n"
@@ -119,5 +119,5 @@
 		"mrc p15, 0, r0, c1, c0, 0\n"
 		
-#ifdef PROCESSOR_armv7_a
+#ifdef PROCESSOR_ARCH_armv7_a
 		/* Mask to enable paging, I-cache D-cache and branch predict
 		 * See kernel/arch/arm32/include/regutils.h for bit values.*/
Index: kernel/arch/arm32/Makefile.inc
===================================================================
--- kernel/arch/arm32/Makefile.inc	(revision 949869d2e42c585807fd47d9e647bc004522407f)
+++ kernel/arch/arm32/Makefile.inc	(revision 5d9e36b27b4f5ff893f1f9703675b6781e2cf98e)
@@ -33,5 +33,5 @@
 ATSIGN = %
 
-GCC_CFLAGS += -fno-omit-frame-pointer -mapcs-frame -march=$(subst _,-,$(PROCESSOR)) -mno-unaligned-access
+GCC_CFLAGS += -fno-omit-frame-pointer -mapcs-frame -march=$(subst _,-,$(PROCESSOR_ARCH)) -mno-unaligned-access
 
 ifeq ($(CONFIG_FPU),y)
Index: kernel/arch/arm32/include/asm.h
===================================================================
--- kernel/arch/arm32/include/asm.h	(revision 949869d2e42c585807fd47d9e647bc004522407f)
+++ kernel/arch/arm32/include/asm.h	(revision 5d9e36b27b4f5ff893f1f9703675b6781e2cf98e)
@@ -53,5 +53,5 @@
 NO_TRACE static inline void cpu_sleep(void)
 {
-#ifdef PROCESSOR_armv7_a
+#ifdef PROCESSOR_ARCH_armv7_a
 	asm volatile ( "wfe" :: );
 #elif defined(MACHINE_gta02) | defined(MACHINE_integratorcp)
Index: kernel/arch/arm32/include/mm/page.h
===================================================================
--- kernel/arch/arm32/include/mm/page.h	(revision 949869d2e42c585807fd47d9e647bc004522407f)
+++ kernel/arch/arm32/include/mm/page.h	(revision 5d9e36b27b4f5ff893f1f9703675b6781e2cf98e)
@@ -129,7 +129,7 @@
 	set_pt_level1_present((pte_t *) (ptl3), (size_t) (i))
 
-#if defined(PROCESSOR_armv6) | defined(PROCESSOR_armv7_a)
+#if defined(PROCESSOR_ARCH_armv6) | defined(PROCESSOR_ARCH_armv7_a)
 #include "page_armv6.h"
-#elif defined(PROCESSOR_armv4) | defined(PROCESSOR_armv5)
+#elif defined(PROCESSOR_ARCH_armv4) | defined(PROCESSOR_ARCH_armv5)
 #include "page_armv4.h"
 #else
Index: kernel/arch/arm32/src/cpu/cpu.c
===================================================================
--- kernel/arch/arm32/src/cpu/cpu.c	(revision 949869d2e42c585807fd47d9e647bc004522407f)
+++ kernel/arch/arm32/src/cpu/cpu.c	(revision 5d9e36b27b4f5ff893f1f9703675b6781e2cf98e)
@@ -98,5 +98,5 @@
 void cpu_arch_init(void)
 {
-#if defined(PROCESSOR_armv7_a) | defined(PROCESSOR_armv6)
+#if defined(PROCESSOR_ARCH_armv7_a) | defined(PROCESSOR_ARCH_armv6)
 	uint32_t control_reg = 0;
 	asm volatile (
Index: kernel/arch/arm32/src/mm/page_fault.c
===================================================================
--- kernel/arch/arm32/src/mm/page_fault.c	(revision 949869d2e42c585807fd47d9e647bc004522407f)
+++ kernel/arch/arm32/src/mm/page_fault.c	(revision 5d9e36b27b4f5ff893f1f9703675b6781e2cf98e)
@@ -174,5 +174,5 @@
 }
 
-#if defined(PROCESSOR_armv4) | defined(PROCESSOR_armv5)
+#if defined(PROCESSOR_ARCH_armv4) | defined(PROCESSOR_ARCH_armv5)
 /** Decides whether read or write into memory is requested.
  *
@@ -281,8 +281,8 @@
 	}
 
-#if defined(PROCESSOR_armv6) | defined(PROCESSOR_armv7_a)
+#if defined(PROCESSOR_ARCH_armv6) | defined(PROCESSOR_ARCH_armv7_a)
 	const pf_access_t access =
 	    fsr.data.wr ? PF_ACCESS_WRITE : PF_ACCESS_READ;
-#elif defined(PROCESSOR_armv4) | defined(PROCESSOR_armv5)
+#elif defined(PROCESSOR_ARCH_armv4) | defined(PROCESSOR_ARCH_armv5)
 	const pf_access_t access = get_memory_access_type(istate->pc, badvaddr);
 #else
Index: uspace/lib/c/arch/arm32/Makefile.common
===================================================================
--- uspace/lib/c/arch/arm32/Makefile.common	(revision 949869d2e42c585807fd47d9e647bc004522407f)
+++ uspace/lib/c/arch/arm32/Makefile.common	(revision 5d9e36b27b4f5ff893f1f9703675b6781e2cf98e)
@@ -28,5 +28,5 @@
 #
 
-GCC_CFLAGS += -ffixed-r9 -mtp=soft -fno-omit-frame-pointer -mapcs-frame -march=$(subst _,-,$(PROCESSOR))
+GCC_CFLAGS += -ffixed-r9 -mtp=soft -fno-omit-frame-pointer -mapcs-frame -march=$(subst _,-,$(PROCESSOR_ARCH))
 
 ifeq ($(CONFIG_FPU),y)
